コレクションの一覧 (V1)
ノート
クラスター内のコレクションを一覧表示します。
GET/v1/vector/collections
https://${CLUSTER_ENDPOINT}
📘ノート
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ API キー、または コロンで連結されたユーザー名とパスワードの組み合わせ(例:username:password)である必要があります。
値の例: Bearer {{TOKEN}}
dbNamestringquery
データベース名。
値の例: default
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request GET \
--url "${CLUSTER_ENDPOINT}/v1/vector/collections" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス200 OK - application/json
指定されたクラスター内のコレクションの一覧を返します。
成功レスポンスです。
codeinteger
レスポンスコード。
dataarray
コレクション名の一覧であるレスポンスペイロード。
[]datastring
コレクション名。
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 200,
"data": [
"custom_setup_not_indexed",
"quick_setup",
"custom_setup_indexed"
]
}